﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 28/11/2019 19:29:35
-- Server version: 5.5.5-10.1.38-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS remo;

CREATE DATABASE IF NOT EXISTS remo
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE remo;

--
-- Create table `directivos`
--
CREATE TABLE IF NOT EXISTS directivos (
  dni varchar(9) NOT NULL,
  nombre_completo varchar(30) NOT NULL,
  cargo varchar(15) NOT NULL,
  PRIMARY KEY (dni)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 2730,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `patrocinadores`
--
CREATE TABLE IF NOT EXISTS patrocinadores (
  codigo int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(30) NOT NULL,
  cantidad_aportada float DEFAULT NULL,
  dni_directivo varchar(9) DEFAULT NULL,
  PRIMARY KEY (codigo)
)
ENGINE = INNODB,
AUTO_INCREMENT = 21,
AVG_ROW_LENGTH = 819,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE patrocinadores
ADD CONSTRAINT fk_patrocinadores_directivos FOREIGN KEY (dni_directivo)
REFERENCES directivos (dni) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `categorias`
--
CREATE TABLE IF NOT EXISTS categorias (
  codigo char(2) NOT NULL,
  nombre varchar(15) NOT NULL,
  rango_edad varchar(5) NOT NULL,
  num_remeros int(11) DEFAULT NULL,
  PRIMARY KEY (codigo)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 2048,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `remeros`
--
CREATE TABLE IF NOT EXISTS remeros (
  id_remero int(11) NOT NULL AUTO_INCREMENT,
  codigo_categoria char(2) DEFAULT NULL,
  codigo_remero int(11) DEFAULT NULL,
  dni varchar(9) NOT NULL,
  nombre_completo varchar(30) NOT NULL,
  fecha_nac date DEFAULT NULL,
  codigo_patrocinador int(11) DEFAULT NULL,
  lesiones varchar(50) DEFAULT NULL,
  anios_exp int(11) DEFAULT NULL,
  datos_padre varchar(50) DEFAULT NULL,
  PRIMARY KEY (id_remero)
)
ENGINE = INNODB,
AUTO_INCREMENT = 21,
AVG_ROW_LENGTH = 819,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `dni` on table `remeros`
--
ALTER TABLE remeros
ADD UNIQUE INDEX dni (dni);

--
-- Create index `uk_remeros` on table `remeros`
--
ALTER TABLE remeros
ADD UNIQUE INDEX uk_remeros (codigo_categoria, codigo_remero);

--
-- Create foreign key
--
ALTER TABLE remeros
ADD CONSTRAINT fk_remeros_categorias FOREIGN KEY (codigo_categoria)
REFERENCES categorias (codigo) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE remeros
ADD CONSTRAINT fk_remeros_patrocinadores FOREIGN KEY (codigo_patrocinador)
REFERENCES patrocinadores (codigo) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `entrenadores`
--
CREATE TABLE IF NOT EXISTS entrenadores (
  dni varchar(9) NOT NULL,
  nombre_completo varchar(30) NOT NULL,
  titulacion varchar(30) DEFAULT NULL,
  dni_directivo varchar(9) NOT NULL,
  codigo_categoria char(2) NOT NULL,
  PRIMARY KEY (dni)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 2340,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE entrenadores
ADD CONSTRAINT fk_entrenadores_categorias FOREIGN KEY (codigo_categoria)
REFERENCES categorias (codigo) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE entrenadores
ADD CONSTRAINT fk_entrenadores_directivos FOREIGN KEY (dni_directivo)
REFERENCES directivos (dni) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `permisos_conduccion`
--
CREATE TABLE IF NOT EXISTS permisos_conduccion (
  id_permiso int(11) NOT NULL AUTO_INCREMENT,
  dni_entrenador varchar(9) DEFAULT NULL,
  permiso varchar(5) DEFAULT NULL,
  PRIMARY KEY (id_permiso)
)
ENGINE = INNODB,
AUTO_INCREMENT = 13,
AVG_ROW_LENGTH = 1365,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `uk_permisos` on table `permisos_conduccion`
--
ALTER TABLE permisos_conduccion
ADD UNIQUE INDEX uk_permisos (dni_entrenador, permiso);

--
-- Create foreign key
--
ALTER TABLE permisos_conduccion
ADD CONSTRAINT fk_permisos_entradores FOREIGN KEY (dni_entrenador)
REFERENCES entrenadores (dni) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `embarcaciones`
--
CREATE TABLE IF NOT EXISTS embarcaciones (
  matricula varchar(6) NOT NULL,
  nombre_tecnico varchar(12) NOT NULL,
  mote varchar(15) DEFAULT NULL,
  fabricante varchar(15) DEFAULT NULL,
  num_tripulantes int(11) DEFAULT NULL,
  necesita_patron tinyint(1) DEFAULT 0,
  eslora float DEFAULT NULL,
  PRIMARY KEY (matricula)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 1092,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `usos_embarcaciones`
--
CREATE TABLE IF NOT EXISTS usos_embarcaciones (
  id_uso int(11) NOT NULL AUTO_INCREMENT,
  matricula_embarcacion varchar(6) DEFAULT NULL,
  id_remero int(11) DEFAULT NULL,
  PRIMARY KEY (id_uso)
)
ENGINE = INNODB,
AUTO_INCREMENT = 12,
AVG_ROW_LENGTH = 1489,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `uk_usos` on table `usos_embarcaciones`
--
ALTER TABLE usos_embarcaciones
ADD UNIQUE INDEX uk_usos (matricula_embarcacion, id_remero);

--
-- Create foreign key
--
ALTER TABLE usos_embarcaciones
ADD CONSTRAINT fk_usos_embarcaciones FOREIGN KEY (matricula_embarcacion)
REFERENCES embarcaciones (matricula) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE usos_embarcaciones
ADD CONSTRAINT fk_usos_remeros FOREIGN KEY (id_remero)
REFERENCES remeros (id_remero) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `fechas_uso`
--
CREATE TABLE IF NOT EXISTS fechas_uso (
  id_fecha int(11) NOT NULL AUTO_INCREMENT,
  id_uso int(11) DEFAULT NULL,
  fecha_uso date DEFAULT NULL,
  PRIMARY KEY (id_fecha)
)
ENGINE = INNODB,
AUTO_INCREMENT = 11,
AVG_ROW_LENGTH = 1638,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `uk_fechas` on table `fechas_uso`
--
ALTER TABLE fechas_uso
ADD UNIQUE INDEX uk_fechas (id_uso, fecha_uso);

--
-- Create foreign key
--
ALTER TABLE fechas_uso
ADD CONSTRAINT fk_fechas_usos FOREIGN KEY (id_uso)
REFERENCES usos_embarcaciones (id_uso) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `patrocinios`
--
CREATE TABLE IF NOT EXISTS patrocinios (
  id_patrocinio int(11) NOT NULL AUTO_INCREMENT,
  codigo_patrocinador int(11) DEFAULT NULL,
  matricula_embarcacion varchar(6) DEFAULT NULL,
  PRIMARY KEY (id_patrocinio)
)
ENGINE = INNODB,
AUTO_INCREMENT = 11,
AVG_ROW_LENGTH = 1638,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `uk_patrocinio` on table `patrocinios`
--
ALTER TABLE patrocinios
ADD UNIQUE INDEX uk_patrocinio (codigo_patrocinador, matricula_embarcacion);

--
-- Create foreign key
--
ALTER TABLE patrocinios
ADD CONSTRAINT fk_patrocinio_embarcaciones FOREIGN KEY (matricula_embarcacion)
REFERENCES embarcaciones (matricula) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE patrocinios
ADD CONSTRAINT fk_patrocinio_patrocinadores FOREIGN KEY (codigo_patrocinador)
REFERENCES patrocinadores (codigo) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `juegos_remos`
--
CREATE TABLE IF NOT EXISTS juegos_remos (
  codigo int(11) NOT NULL AUTO_INCREMENT,
  fabricante varchar(15) NOT NULL,
  num_remos int(11) DEFAULT NULL,
  dureza varchar(10) DEFAULT NULL,
  material varchar(20) DEFAULT NULL,
  matricula_embarcacion varchar(6) DEFAULT NULL,
  PRIMARY KEY (codigo)
)
ENGINE = INNODB,
AUTO_INCREMENT = 16,
AVG_ROW_LENGTH = 1092,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `uk_matricula` on table `juegos_remos`
--
ALTER TABLE juegos_remos
ADD UNIQUE INDEX uk_matricula (matricula_embarcacion);

--
-- Create foreign key
--
ALTER TABLE juegos_remos
ADD CONSTRAINT fk_remos_embarcaciones FOREIGN KEY (matricula_embarcacion)
REFERENCES embarcaciones (matricula) ON DELETE CASCADE ON UPDATE CASCADE;

-- 
-- Dumping data for table directivos
--
INSERT INTO directivos VALUES
('16383999Z', 'Alvaro Campuzano', 'Tesorero'),
('35507290W', 'Jose Manuel Sanchez', 'Vocal'),
('35507294K', 'Pablo Garcia', 'Vocal'),
('56031201M', 'Sara Cobo', 'Secretario'),
('56857082N', 'Israel Bolado', 'Presidente'),
('60169277V', 'Jose Luis Cruces', 'Vicepresidente');

-- 
-- Dumping data for table patrocinadores
--
INSERT INTO patrocinadores VALUES
(1, 'Casa Carmina', 137, '60169277V'),
(2, 'La Playuca', 1798, '56031201M'),
(3, 'Bar Lorenzo', 2508, '35507290W'),
(4, 'Asticopy', 2292, '60169277V'),
(5, 'Electrocomercial', 2741, '56857082N'),
(6, 'Casa Juan', 1500, '60169277V'),
(7, 'Bar Siglo XX', 2585, '56031201M'),
(8, 'Bar La Cacharra', 1424, '60169277V'),
(9, 'La Barrica', 1646, '16383999Z'),
(10, 'Bodega Balta', 2676, '60169277V'),
(11, 'LegalCantabria', 498, '35507290W'),
(12, 'Asador el Cimarrón', 2486, '60169277V'),
(13, 'Herbolario Zona Verde', 1090, '56031201M'),
(14, 'Bar Aranda', 1930, '56857082N'),
(15, 'Bar la Churruca', 664, '16383999Z'),
(16, 'Construcciones Jose Luis', 1159, '35507290W'),
(17, 'Carniceria Lomillos', 73, '56857082N'),
(18, 'Merceria Montse', 2922, '60169277V'),
(19, 'Asador el Cimarron', 291, '56857082N'),
(20, 'Carlos Palazuelos', 2615, '56857082N');

-- 
-- Dumping data for table categorias
--
INSERT INTO categorias VALUES
('AF', 'Alevin Femenino', '11-12', NULL),
('AM', 'Alevin Masculin', '48-34', NULL),
('CF', 'Cadete Femenino', '22-05', NULL),
('CM', 'Cadete Masculin', '32-01', NULL),
('IF', 'Infantil Femeni', '73-69', NULL),
('IM', 'Infantil Mascul', '50-42', NULL),
('JF', 'Juvenil Femenin', '76-50', NULL),
('JM', 'Juvenil Masculi', '72-86', NULL);

-- 
-- Dumping data for table remeros
--
INSERT INTO remeros VALUES
(1, 'AM', 5, '61373976K', 'Chester Quintana', '2001-05-29', 16, 'No tiene', 3, '90955087A - Charmaine Stock'),
(2, 'CM', 5, '06385394F', 'Alexander Cole', '2003-11-25', 1, 'Escoliosis', 2, '14936975U - Kristel Nunn'),
(3, 'CF', 7, '40542396C', 'Edelmira Qualls', '2006-04-15', 10, 'No tiene', 5, '36694814X - Alva Huff'),
(4, 'CF', 8, '97965908F', 'Gilda Thompson', '2001-03-12', 4, 'No tiene', 6, '85891047D - Lacie Holley'),
(5, 'IM', 3, '23060434A', 'Adrian Easter', '2001-03-15', 12, 'No tiene', 1, '39579855C - Alysa Paulson'),
(6, 'JF', 8, '30710318L', 'Ciera Louis', '2004-09-30', 3, 'No tiene', 2, '75873583W - Elfriede Abney'),
(7, 'AM', 3, '92571577R', 'Geoffrey Partridge', '2004-08-13', 16, 'No tiene', 6, '06583466T - Theo Cooper'),
(8, 'AF', 1, '36902081K', 'Adalberto Meade', '2004-09-09', 18, 'No tiene', 2, '35541697H - Sharell Reyes'),
(9, 'CM', 4, '05895210J', 'Adelaida Baugh', '2002-08-29', 17, 'Lumbalgia', 5, '76749666K - Arnoldo Tyler'),
(10, 'JM', 6, '76597389E', 'Emmitt Wofford', '2004-07-24', 20, 'No tiene', 6, '27602969K - Khalilah Merrill'),
(11, 'IM', 2, '97112440I', 'Ryan Velasquez', '2001-04-19', 11, 'No tiene', 6, '26474660D - Karyl Plummer'),
(12, 'AF', 2, '73686554E', 'Darren Acevedo', '2002-10-01', 7, 'No tiene', 4, '42959587I - Cleotilde Abel'),
(13, 'CM', 6, '20522584U', 'Christin James', '2006-02-27', 20, 'No tiene', 0, '03634145S - Adela Young'),
(14, 'JF', 9, '80423648B', 'Carmelo Conley', '2007-01-25', 8, 'No tiene', 3, '47185796P - Norberto Binder'),
(15, 'IM', 4, '46166888T', 'Manuel Benavidez', '2003-02-02', 15, 'No tiene', 1, '31991918C - Lashell Rasmussen'),
(16, 'AF', 3, '12528536A', 'Corina Adler', '2007-02-03', 20, 'No tiene', 5, '80941669P - Marcie Cardona'),
(17, 'IF', 6, '07005674M', 'Kellie Broadway', '2002-08-10', 12, 'Tendinitis', 6, '52657617Q - Aurelia Holiday'),
(18, 'IF', 5, '12265310N', 'Reginald Cornelius', '2002-12-10', 18, 'No tiene', 2, '27919530I - Les Acker'),
(19, 'AM', 4, '46995570K', 'Freddy Corbin', '2004-12-24', 12, 'No tiene', 4, '94803023W - Gale Carson'),
(20, 'JM', 7, '77293876O', 'Alden Nagle', '2001-03-10', 12, 'No tiene', 1, '02591221D - Vanessa Dellinger');

-- 
-- Dumping data for table entrenadores
--
INSERT INTO entrenadores VALUES
('00506949S', 'Ivan', 'Basica', '56857082N', 'JM'),
('06545253D', 'Israel', 'Nacional', '56857082N', 'CM'),
('10655919A', 'Cristian', 'Regional', '56857082N', 'JF'),
('14672684W', 'Alejandro', 'Regional', '56857082N', 'IM'),
('58345134P', 'Adrian', 'Regional', '60169277V', 'IF'),
('82341356H', 'Jose Manuel', 'Basica', '16383999Z', 'CF'),
('96887314Z', 'Jose Luis', 'Nacional', '35507290W', 'CM');

-- 
-- Dumping data for table embarcaciones
--
INSERT INTO embarcaciones VALUES
('0576GG', 'Trainerilla', 'Pedro Diaz', 'Amilibia', 7, 1, 11),
('0700YZ', 'Trainera', 'San Jose XV', 'Amilibia', 13, 1, 13),
('1427DA', '4con', '...', 'Hudson', 5, 1, 7),
('2115JC', '4-', '...', 'Empacher', 4, 0, 7),
('2531AD', 'Batel', 'Pedreñuca', 'Amilibia', 5, 1, 5),
('3374EX', 'Batel', 'Don Pablo', 'Amilibia', 5, 1, 5),
('3938PD', 'Trainera', 'San Jose XIV', 'Amilibia', 13, 1, 13),
('4094GW', '4x', 'Barcelona92', 'Wintech', 4, 0, 7),
('6373MR', '2x', '...', 'Filippi', 2, 0, 4),
('6854AM', 'Batel', 'Pijama', 'Amilibia', 5, 1, 5),
('6868HG', '1x', 'Piolin', 'Chino', 1, 0, 3),
('7170QL', 'Trainerilla', 'Pedro Diaz', 'Amilibia', 7, 1, 11),
('8579MU', 'Batel', 'Luis Mari', 'Amilibia', 5, 1, 5),
('9521LO', 'Batel', 'Monchi', 'Amilibia', 5, 1, 5),
('9682RT', '2con', '...', 'Amilibia', 3, 1, 4);

-- 
-- Dumping data for table usos_embarcaciones
--
INSERT INTO usos_embarcaciones VALUES
(6, '0576GG', 7),
(2, '1427DA', 5),
(8, '2115JC', 3),
(11, '2531AD', 9),
(9, '4094GW', 8),
(10, '6373MR', 4),
(1, '6868HG', 10),
(4, '7170QL', 6),
(5, '8579MU', 2),
(3, '9682RT', 1),
(7, '9682RT', 8);

-- 
-- Dumping data for table permisos_conduccion
--
INSERT INTO permisos_conduccion VALUES
(8, '00506949S', 'LN'),
(9, '06545253D', 'PNB'),
(6, '10655919A', 'B'),
(7, '10655919A', 'PNB'),
(11, '14672684W', 'A1'),
(10, '14672684W', 'B'),
(2, '58345134P', 'A1'),
(1, '58345134P', 'B'),
(3, '58345134P', 'PER'),
(4, '82341356H', 'B'),
(5, '82341356H', 'LN'),
(12, '96887314Z', 'PER');

-- 
-- Dumping data for table patrocinios
--
INSERT INTO patrocinios VALUES
(3, 1, '9682RT'),
(5, 2, '8579MU'),
(7, 3, '2115JC'),
(9, 4, '6373MR'),
(2, 5, '1427DA'),
(4, 6, '7170QL'),
(6, 7, '0576GG'),
(8, 8, '4094GW'),
(10, 9, '2531AD'),
(1, 10, '6868HG');

-- 
-- Dumping data for table juegos_remos
--
INSERT INTO juegos_remos VALUES
(1, 'Bracar', 4, 'Baja ', 'Madera', '9682RT'),
(2, 'Amilibia', 10, 'Baja ', 'Fibra de vidrio', '9521LO'),
(3, 'Bracar', 13, ' Media ', 'Fibra de carbono', '3374EX'),
(4, 'Croker', 8, 'Media', ' Madera', '0700YZ'),
(5, 'Amilibia', 4, 'Media', ' Fibra de vidrio ', '3938PD'),
(6, 'Concept', 2, ' Media ', 'Fibra de carbono', '2115JC'),
(7, 'Concept', 13, ' Media ', 'Madera', '4094GW'),
(8, 'Amilibia', 4, 'Baja ', 'Fibra de carbono', '6854AM'),
(9, 'Amilibia', 9, ' Alta', 'Fibra de vidrio', '6868HG'),
(10, 'Bracar', 6, ' Media ', 'Fibra de carbono', '1427DA'),
(11, 'Croker', 8, ' Media ', 'Fibra de carbono', '8579MU'),
(12, 'Croker', 4, 'Alta', 'Fibra de carbono', '0576GG'),
(13, 'Concept', 8, 'Alta', 'Madera', '2531AD'),
(14, 'Bracar', 4, 'Baja ', 'Fibra de carbono', '6373MR'),
(15, 'Amilibia', 4, 'Media', 'Fibra de vidrio', '7170QL');

-- 
-- Dumping data for table fechas_uso
--
INSERT INTO fechas_uso VALUES
(1, 1, '2020-01-02'),
(2, 2, '2019-12-04'),
(3, 3, '2020-01-20'),
(4, 4, '2019-11-14'),
(5, 5, '2019-12-22'),
(6, 6, '2020-02-19'),
(7, 7, '2020-02-03'),
(8, 8, '2019-11-16'),
(9, 9, '2019-09-05'),
(10, 10, '2019-09-24');

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;